Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           synce-gnomevfs
Version:        0.13
Release:        alt1_19
Summary:        Gnome-vfs module for synce

License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libsynce-devel librapi-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  ORBit2 ORBit2-devel
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  automake

Requires:       gnome-vfs gnome-vfs-module-sftp gnome-vfs-utils
Source44: import.info

%description
This is a gnome-vfs module that enables access to the Windows CE or Pocket
PC file system through the gnome-vfs functions.

%prep
%setup -q

%build
%configure --disable-static --with-libsynce-include=%{_includedir} \
--with-libsynce-lib=%{_libdir} --with-librapi2-include=%{_includedir} \
--with-librapi2-lib=%{_libdir}
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.la
rm -f $RPM_BUILD_ROOT%{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.la 

%files
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/synce-in-computer-folder
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/synce-module.conf
%{_libdir}/gnome-vfs-2.0/modules/libsyncevfs.so
%{_libdir}/synce-trayicon/modules/gnomevfs-trayicon-module.so
%{_datadir}/icons/hicolor/48x48/apps/synce-gnomevfs.png
%{_datadir}/synce/synce-in-computer-folder.sh
%{_mandir}/man1/*
%{_datadir}/mime/packages/*.xml


%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_19
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_18
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_17
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_16
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_12
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_11
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_8
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_7
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1_6
- initial fc import

* Sun Oct 05 2008 Alexey Shabalin <shaba@altlinux.ru> 0.12-alt1
- 0.12

* Sun Mar 02 2008 Alexey Shabalin <shaba@altlinux.ru> 0.11-alt1
- initial build for ALTLinux
